summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorkachelaqa2011-04-22 18:38:13 +0100
committerkachelaqa2011-04-22 18:38:13 +0100
commit95115d0e2531a51ae6a659c85adea91590c88ae8 (patch)
treeabf39bba51329788ffafc9905ee46a17711ecc75
downloadaur-95115d0e2531a51ae6a659c85adea91590c88ae8.tar.gz
added original files
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD24
-rw-r--r--pkgbrowser.install11
3 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6364083d7dc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = pkgbrowser
+ pkgdesc = A utility for browsing pacman databases and the AUR
+ pkgver = 0.1
+ pkgrel = 1
+ url = http://code.google.com/p/pkgbrowser/
+ install = pkgbrowser.install
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ depends = python2-qt
+ source = http://pkgbrowser.googlecode.com/files/pkgbrowser-0.1.tar.gz
+ md5sums = c7d1e6de431f5bdb1242faf7ebdd0514
+
+pkgname = pkgbrowser
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d7a680f13e1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: kachelaqa <kachelaqa at gmail dot com>
+
+pkgname='pkgbrowser'
+pkgver=0.1
+pkgrel=1
+pkgdesc='A utility for browsing pacman databases and the AUR'
+arch=('i686' 'x86_64')
+url='http://code.google.com/p/pkgbrowser/'
+license=('GPL2')
+depends=('python2-qt')
+install="$pkgname.install"
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz")
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums=('c7d1e6de431f5bdb1242faf7ebdd0514')
diff --git a/pkgbrowser.install b/pkgbrowser.install
new file mode 100644
index 00000000000..7fc21cbfaec
--- /dev/null
+++ b/pkgbrowser.install
@@ -0,0 +1,11 @@
+post_install() {
+ xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}